# Autogenerated from init.ni using:
# blm --gw --mag ni

# Variables entering into expressions parsed by input
% const nit=10
% const met=5
% const nsp=2 so=0
% const lxcf=2 lxcf1=0 lxcf2=0     # for PBE use: lxcf=0 lxcf1=101 lxcf2=130
% const pwmode=0 pwemax=3          # Use pwmode=1 or 11 to add APWs
% const sig=12 gwemax=2 gcutb=3.3 gcutx=2.7  # GW-specific
% const nkabc=0 nkgw=nkabc gmax=9.0

VERS  LM:7 FP:7 # ASA:7
IO    SHOW=f HELP=f IACTIV=f VERBOS=35,35  OUTPUT=*
EXPRESS
# Lattice vectors and site positions
  file=   site

# Basis set
  gmax=   {gmax}                   # PW cutoff for charge density
  autobas[pnu=1 loc=1 lmto=5 mto=4 gw=1 pfloat=2,0]

# Self-consistency
  nit=    {nit}                    # Maximum number of iterations
  mix=    B2,b=.3,k=7              # Charge density mixing parameters
  conv=   1e-5                     # Convergence tolerance (energy)
  convc=  3e-5                     # tolerance in RMS (output-input) density

# Brillouin zone
  nkabc=  24                  # 1 to 3 values
  metal=  {met}                    # Management of k-point integration weights in metals

# Potential
  nspin=  {nsp}                    # 2 for spin polarized calculations
  so=     {so}                     # 1 turns on spin-orbit coupling
  xcfun=  {lxcf},{lxcf1},{lxcf2}   # set lxcf=0 for libxc functionals

#SYMGRP i r4x r3d
HAM
      PWMODE={pwmode} PWEMIN=0 PWEMAX={pwemax} OVEPS=0 # For APW addition to basis
      FORCES={so==0} ELIND=-0.7
      RSRNGE=8 
      RDSIG={sig} SIGP[EMAX={gwemax}]  # Add self-energy to LDA
GW    NKABC=12 GCUTB={gcutb} GCUTX={gcutx} DELRE=.01 .1 
      GSMEAR=0.003 PBTOL=1e-3
SPEC 
  ATOM=Ni       Z= 28  R= 2.354453  LMX=3 LMXA=4 MMOM=0,0,2 PZ=0,0,4.4
